binary.hpp File Reference
`#include "./internal/export.hpp"`
`#include "./types_fwd.hpp"`
`#include <proton/type_compat.h>`
`#include <iosfwd>`
`#include <string>`
`#include <vector>`
Include dependency graph for binary.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | binary
| Arbitrary binary data. More...

## Namespaces

| proton
| The main Proton namespace.

## Functions

std::ostream & | operator<< (std::ostream &, const binary &)
| Print a binary value.

## Detailed Description

Arbitrary binary data.